## nom.tam.util
Interface DataTable

All Known Implementing Classes:
  ColumnTable

public interface DataTable

This interface defines the properties that a generic table should have.

Method Summary
`Object` `getColumn(int column)`
`Object` `getElement(int row, int col)`
`int` `getNcol()`
`int` `getNrow()`
`Object` `getRow(int row)`
`void` `setColumn(int column, Object newColumn)`
`void` `setElement(int row, int col, Object newElement)`
`void` `setRow(int row, Object newRow)`

Method Detail

### setRow

    public void setRow(int row,
                       Object newRow)
                throws TableException

  Throws:
    `TableException`

### getRow

    public Object getRow(int row)

### setColumn

    public void setColumn(int column,
                          Object newColumn)
                   throws TableException

  Throws:
    `TableException`

### getColumn

    public Object getColumn(int column)

### setElement

    public void setElement(int row,
                           int col,
                           Object newElement)
                    throws TableException

  Throws:
    `TableException`

### getElement

    public Object getElement(int row,
                             int col)

### getNrow

    public int getNrow()

### getNcol

    public int getNcol()